
Dialog:ReNameSalon ( playerid, response, listitem, inputtext[] )
{
	
	new index = GetPVarInt ( playerid, "SalonIndex" ) ;
	if ( SBUSINESS [ index ] [ Owner ] != PLAYER [ playerid ] [ ID ] ) return Send ( playerid, COLOR_GRAY, "Ты не владелец этого салона!" ) ;
	
	new string [ 256 ] ;
	
	if ( !response ) return echo ( string, "{FFFFFF}%s", SBUSINESS [ index ] [ Name ] ), ShowPlayerDialog ( playerid, DIALOG_SALON, DIALOG_STYLE_LIST, string, "Выставить авто\nСписок авто\nСнять деньги\nВложить деньги\nСменить название салона", "Выбрать", "Закрыть" ) ;
	
	if ( strlen ( inputtext ) > 50 || strlen ( inputtext ) < 10 ) 
	{
		echo ( string, "Название твоего автосалона: %s\n\nВведи новое название\n{FF0000}Не больше 50 и не меньше 10 символов.", SBUSINESS [ index ] [ Name ] );
		ShowDialog ( playerid, Show:ReNameSalon, DIALOG_STYLE_INPUT, "Смена названия", string, "Сменить", "Отмена" ) ;
		return 1;
	}
	
	sscanf ( inputtext, "s[50]", SBUSINESS [ index ] [ Name ] ) ;
	
	echo ( string, "{00FF00}Бизнес \"%s\" (#%d)\nВладелец: %s", SBUSINESS [ index ] [ Name ], SBUSINESS [ index ] [ ID ], SBUSINESS [ index ] [ OwnerName ] ) ;
	
	UpdateDynamic3DTextLabelText ( SBUSINESS [ index ] [ Text ], -1, string ) ;
	
	Send ( playerid, COLOR_BLUE, "Название твоего автосалона изменено." ) ;
	
	return 1;
}
